Name:           dirsearch
Version:        0.4.3
Release:        1%{?dist}
Summary:        Web path scanner/fuzzer, written in Python

License:        GPL-2.0-only
URL:            https://github.com/maurosoria/dirsearch
Source0:        https://github.com/maurosoria/dirsearch/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-build
BuildRequires:  python3-wheel
BuildRequires:  python3-installer
Requires:       python3
Requires:       python3-certifi
Requires:       python3-chardet
Requires:       python3-urllib3
Requires:       python3-cryptography
Requires:       python3-pysocks
Requires:       python3-cffi
Requires:       python3-ntlm-auth
Requires:       python3-requests-ntlm
Requires:       python3-charset-normalizer
Requires:       python3-jinja2
Requires:       python3-defusedxml
Requires:       python3-markupsafe
Requires:       python3-pyOpenSSL
Requires:       python3-idna
Requires:       python3-requests
Requires:       python3-colorama
Requires:       python3-pyparsing
Requires:       python3-beautifulsoup4

%description
Web path scanner/fuzzer, written in Python.

%prep
%autosetup

# Patch requirements.txt for charset_normalizer
sed -i '/^charset_normalizer/s/~=/>=/' requirements.txt

%build
python3 -m build --wheel --no-isolation

%install
python3 -m installer --destdir=%{buildroot} dist/*.whl

# Install documentation
install -d %{buildroot}/usr/share/doc/%{name}
install -m 644 README.md %{buildroot}/usr/share/doc/%{name}/

%files
%doc README.md CHANGELOG.md
%{_bindir}/dirsearch
%{python3_sitelib}/dirsearch
%{python3_sitelib}/dirsearch-*.dist-info

%changelog
* Sat May 24 2025 Your Name <you@example.com> - 0.4.3-5
- Initial RPM release based on PKGBUILD
